
// const db = wx.cloud.database()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    menuList: [{
      icon: "/subpages/images/ic_test_a.png",
      title: "睡眠质量指数测评",
      desc: "依据匹兹堡睡眠质量指数表",
      bg: "linear-gradient(270deg, #DDE7FF 0%, #EEF6FF 100%)",
      titleBg: "#2F539E",
      descColor: "#4160AD",
      border: "1rpx solid #c8d7ff",
      btnBg: "linear-gradient(135deg, #2957CB 0%, #649DFA 100%)",
      url: "/subpages/sleepQualityIndexAssessment/sleepQualityIndexAssessment"
    }, {
      icon: "/subpages/images/ic_test_b.png",
      title: "体质诊断检测",
      desc: "日本汉方医学专家铃木元设计",
      bg: "linear-gradient( 270deg, #FFE5E5 0%, #FFF2F4 100%)",
      titleBg: "#7E3934",
      descColor: "#4E1915",
      border: "1rpx solid #ffd3d3",
      btnBg: "linear-gradient(135deg, #F34556 0%, #FC8893 100%)",
      url: "/subpages/constitutionDiagnosis/constitutionDiagnosis"
    }]
  },
  toSleepEvaluation() {
    if (!wx.getStorageSync('hotelEmpower') && !wx.getStorageSync('roomEmpower')) {
      // 无权限 
      wx.showModal({
        title: '提示',
        content: '您不是酒店住客，请联系前台',
        showCancel: false
      });
      return
    }
    wx.navigateTo({
      url: "/subpages/sleepEvaluation/sleepEvaluation"
    })
  },
  checkMenuTap(e) { 
    console.log(e.currentTarget.dataset.url);
    wx.navigateTo({
      url: e.currentTarget.dataset.url
    })
  }, 

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})